Package wx :: Package lib :: Package ogl :: Class Constraint

[frames | no frames]

## Type Constraint

    object --+
             |
            Constraint

A Constraint object helps specify how child shapes are laid out with respect to siblings and parents.

Derived from:
  wxObject

Method Summary
| `__init__(self, type, constraining, constrained)`
| `__repr__(self)`
| ``Equals`(self, a, b)` Return TRUE if x and y are approximately equal (for the purposes of evaluating the constraint).
| ``Evaluate`(self)` Evaluate this constraint and return TRUE if anything changed.
| ``SetSpacing`(self, x, y)` Sets the horizontal and vertical spacing for the constraint.

Method Details

### Equals(self, a, b)

Return TRUE if x and y are approximately equal (for the purposes of evaluating the constraint).

### Evaluate(self)

Evaluate this constraint and return TRUE if anything changed.

### SetSpacing(self, x, y)

Sets the horizontal and vertical spacing for the constraint.

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:13:37 2007 | http://epydoc.sf.net